body {
    margin: 0;
    background: url('https://grupoconcordia.info/fondo_posada.webp') no-repeat center center/cover; 
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #0a2e4f;
    font-family: 'Poppins', sans-serif; 
}

.form-content { 
    padding: 20px; 
    width: 90%;
    max-width: 600px;
}

.logo {
    display: block;
    margin: 0 auto 20px;
    max-width: 200px;
}

h1 {
    text-align: center;
    font-size: 1.8rem;
    margin-bottom: 25px;
    color: #0b3a67;
}

.form-content form {
    display: flex;
    flex-direction: column; 
    gap: 15px; 
}

.input-group label {
    font-weight: 600;
    margin-bottom: 5px;
    color: #0b3a67; 
    text-shadow: 0 0 5px rgba(255, 255, 255, 0.7); 
}

.input-container{
    display: flex;
    flex-direction: column; 
    gap: 15px; 
}

.input-group {
    display: flex;
    flex-direction: column;
    flex: 1; 
    margin-bottom: 0; 
}

.input-group input,
.input-group select { 
    width: 100%; 
    padding: 10px 14px;
    background-color: white; 
    border: 1.5px solid #a3b6c5;
    border-radius: 8px;
    font-size: 1rem;
    outline: none;
    transition: border-color 0.3s ease;
    box-sizing: border-box; 
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
}

.input-group input:focus,
.input-group select:focus {
    border-color: #0b3a67;
}

.full-width {
    flex-basis: 100%;
}

.btn {
    display: block;
    width: 100%;
    padding: 12px;
    background-color: #0b3a67;
    color: #fff;
    border: none;
    border-radius: 8px;
    font-size: 1rem;
    font-weight: bold;
    cursor: pointer;
    transition: background 0.3s ease;
}

.btn:hover {
    background-color: #105083;
}

@media (min-width: 600px) {
    
    .form-content form {
        flex-direction: row; 
        flex-wrap: wrap;
    }
    
    .input-container {
        flex-direction: row; 
        flex-basis: 100%; 
    }

    .input-group {
        flex: 1; 
    }

    .full-width {
        flex-basis: 100%;
    }
}